Bug 1127397 - Running the installer a second time with no proxy values creates an invalid config
Summary: Running the installer a second time with no proxy values creates an invalid c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Elyézer Rezende
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 19:45 UTC by David Davis
Modified: 2017-02-23 21:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:13:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Red Hat Bugzilla 1031001 None None None Never

Internal Links: 1031001

Description David Davis 2014-08-06 19:45:56 UTC
Description of problem:

If you run katello-installer with proxy settings, it saves them to /etc/pulp/server/plugins.conf.d/yum_importer.json. Then if you run "katello-installer --reset" but no proxy, it creates an invalid config and you hit:

The configuration parameter <proxy_port> must be set to a positive integer, but is currently set to <>.


Version-Release number of selected component (if applicable):

6.0.4


How reproducible:

Always


Steps to Reproduce:
1. Run katello-installer with proxy values. Confirm they're in /etc/pulp/server/plugins.conf.d/yum_importer.json.
2. Run katello-installer --reset
3. Go into your app and publish a content view

Actual results:

You get an error in pulp:

The configuration parameter <proxy_port> must be set to a positive integer, but is currently set to <>.


Expected results:

Successful publish.

Additional info:

Comment 1 RHEL Product and Program Management 2014-08-06 20:03:49 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 David Davis 2014-08-06 21:02:42 UTC
Also, it looks like puppet_importer.json and iso_importer.json have the same problem too I think.

Comment 4 Eric Helms 2014-11-04 21:02:02 UTC
This issue has been addressed upstream here - https://github.com/Katello/katello-installer/pull/84

Comment 7 Elyézer Rezende 2015-04-06 18:56:36 UTC
Verified on: Satellite-6.1.0-RHEL-7-20150331.1

Steps to verify:

1. Installed Satellite pointing to an external squid proxy on port 3128.
2. Imported a manifest
3. Enabled "Red Hat Enterprise Virtualization Agents for RHEL 6 Server RPMs x86_64 6Server" Red Hat repository and synced it.
4. Ran the installer one more time but without any proxy option
5. Enabled "Red Hat Enterprise Linux 7 Server - RH Common RPMs x86_64 7Server" Red Hat repository and synced it.

Comment 8 Bryan Kearney 2015-08-11 13:21:46 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:13:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.